1 REM Title Jewelry Creator
2 PRINT "Mark J. Young's Advanced Dungeons & Dragons (TM TSR)"
3 PRINT "     JEWELRY CREATOR"
4 PRINT "This program creates sets of jewelry for treasure determination."
5 PRINT "Value is equal to the ranges in the Dungeon Master's Guide (TM TSR)"
6 PRINT "The type of item does not match those in the appendices but does"
7 PRINT "include many of those items plus others.  Items are partially"
8 PRINT "value linked such that items of greater value are more likely to be"
9 PRINT "larger for the same type of jewelry."
10 PRINT "Type, value, item, and quality will be sent to the screen and to a"
11 PRINT "file on the hard drive of the name designated, which should be"
12 PRINT "not more than 8 letters followed by .txt"
13 INPUT "Please give the file a name"; f$
14 OPEN f$ FOR OUTPUT AS 1
15 INPUT "Heading for results page"; h$
20 PRINT #1, h$
30 PRINT "The random number function requires a seed number to randomize it."
40 INPUT "Please pick any number to randomize the generator"; z
45 RANDOMIZE (z)
50 INPUT "Number of pieces to be determined to this file"; n
55 sv = 0
60 PRINT "To bypass random base value selection enter the number for the"
61 PRINT "type of jewelry as listed here"
62 PRINT TAB(8); "1) Ivory or wrought silver"
63 PRINT TAB(8); "2) Wrought silver and gold"
64 PRINT TAB(8); "3) Wrought gold"
65 PRINT TAB(8); "4) Jade or coral or wrought platinum"
66 PRINT TAB(8); "5) Silver with gems"
67 PRINT TAB(8); "6) Gold with gems"
68 PRINT TAB(8); "7) Platinum with gems"
70 INPUT "Zero or no entry will choose by the table in the DMG"; sv
71 IF sv > 7 GOTO 60
72 IF sv > 0 GOTO 200
120 dv = 100
125 GOSUB 10000
130 sv = 1
140 IF rv > 10 THEN sv = 2
141 IF rv > 20 THEN sv = 3
142 IF rv > 40 THEN sv = 4
143 IF rv > 50 THEN sv = 5
144 IF rv > 70 THEN sv = 6
145 IF rv > 90 THEN sv = 7
200 FOR x = 1 TO n
210 lc = sv: s$ = "  "
220 dv = 10
230 GOSUB 10000
240 IF rv = 1 THEN lc = lc + 1
245 IF lc < 5 GOTO 400
250 v = 0
260 dv = 8
270 GOSUB 10000
280 IF rv > 1 GOTO 400
290 gf = 0
300 dv = 10
310 GOSUB 10000
320 IF rv = 1 THEN gf = gf + 1: GOTO 300
330 v = 5000 * (2 ^ gf)
340 dv = 5
350 GOSUB 10000
360 IF rv = 1 THEN s$ = " Exceptional Black Sapphire "
361 IF rv = 2 THEN s$ = " Exceptional Diamond "
362 IF rv = 3 THEN s$ = " Exceptional Jacinth "
363 IF rv = 4 THEN s$ = " Exceptional Oriental Emerald "
364 IF rv = 5 THEN s$ = " Exceptional Ruby "
400 IF lc > 1 GOTO 500
410 dv = 2
420 GOSUB 10000
430 t$ = " Ivory "
435 IF rv = 2 THEN t$ = " Wrought Silver "
440 dv = 10
450 GOSUB 10000
460 v = 100 * rv
470 ad = rv
480 GOTO 2000
500 IF lc > 2 GOTO 600
510 dv = 6
520 GOSUB 10000
530 t$ = " Wrought Silver and Gold "
535 ad = rv
540 dv = 6
550 GOSUB 10000
555 rv = rv + ad
560 v = 100 * rv
570 ad = rv
580 GOTO 2000
600 IF lc > 3 GOTO 700
610 dv = 6
620 GOSUB 10000
630 t$ = " Wrought Gold "
632 ad = rv
640 dv = 6
650 GOSUB 10000
652 ad = rv + ad
655 dv = 6
657 rv = rv + ad
660 v = 100 * rv
670 ad = rv * 2 / 3
680 GOTO 2000
700 IF lc > 4 GOTO 800
710 dv = 3
720 GOSUB 10000
730 t$ = " Jade "
732 IF rv = 2 THEN t$ = " Coral "
733 IF rv = 3 THEN t$ = " Wrought Platinum "
740 dv = 6
750 GOSUB 10000
751 ad = rv
752 dv = 6
753 GOSUB 10000
754 ad = rv + ad
755 dv = 6
756 GOSUB 10000
757 ad = rv + ad
758 dv = 6
759 GOSUB 10000
760 ad = rv + ad
761 dv = 6
762 GOSUB 10000
763 rv = rv + ad
770 v = 100 * rv
780 ad = rv / 2
790 GOTO 2000
800 IF lc > 5 GOTO 900
810 dv = 6
820 GOSUB 10000
830 t$ = " Silver with Gems "
840 v = v + (1000 * rv)
850 ad = v / 1000
860 GOTO 2000
900 IF lc > 6 GOTO 1000
910 dv = 4
920 GOSUB 10000
930 t$ = " Gold with Gems "
940 v = v + (1000 * rv)
950 dv = 4
960 GOSUB 10000
970 v = v + (1000 * rv)
980 ad = v / 1000 * .75
990 GOTO 2000
1000 REM Top Value Jewelry
1010 dv = 6
1020 GOSUB 10000
1030 t$ = " Platinum with Gems "
1040 v = v + (1000 * rv)
1050 dv = 6
1060 GOSUB 10000
1070 v = v + (1000 * rv)
1080 ad = v / 2000
1090 GOTO 2000
2000 dv = 30
2010 GOSUB 10000
2020 rv = rv + (ad * 2)
2030 j$ = " ring"
2031 IF rv > 6 THEN j$ = " Earring"
2032 IF rv > 9 THEN j$ = " Pin"
2033 IF rv > 11 THEN j$ = " Medal"
2034 IF rv > 12 THEN j$ = " Clasp"
2035 IF rv > 14 THEN j$ = " Anklet"
2036 IF rv > 15 THEN j$ = " Brooch"
2037 IF rv > 17 THEN j$ = " Locket"
2038 IF rv > 18 THEN j$ = " Bracelet"
2039 IF rv > 21 THEN j$ = " Chain"
2040 IF rv > 23 THEN j$ = " Comb"
2041 IF rv > 24 THEN j$ = " Buckle"
2042 IF rv > 29 THEN j$ = " Necklace"
2043 IF rv > 30 THEN j$ = " Choker"
2044 IF rv > 31 THEN j$ = " Cup"
2045 IF rv > 32 THEN j$ = " Belt"
2046 IF rv > 33 THEN j$ = " Goblet"
2047 IF rv > 34 THEN j$ = " Bowl"
2048 IF rv > 35 THEN j$ = " Plate"
2049 IF rv > 36 THEN j$ = " Flagon"
2050 IF rv > 37 THEN j$ = " Tiara"
2051 IF rv > 39 THEN j$ = " Circlet"
2052 IF rv > 40 THEN j$ = " Crown"
2053 IF rv > 42 THEN j$ = " Sceptor"
2054 IF rv > 44 THEN j$ = " Knife"
2055 IF rv > 45 THEN j$ = " Dagger"
2056 IF rv > 46 THEN j$ = " Short Sword"
2057 IF rv > 47 THEN j$ = " Long Sword"
2058 IF rv > 48 THEN j$ = " Statuette of a Dog"
2059 IF rv > 49 THEN j$ = " Statuette of a Hawk"
2060 IF rv > 50 THEN j$ = " Statuette of a Horse"
2061 IF rv > 51 THEN j$ = " Statuette of a Bull"
2062 IF rv > 52 THEN j$ = " Statuette of a Cat"
2063 IF rv > 53 THEN j$ = " Statuette of a Elephant"
2064 IF rv > 54 THEN j$ = " Statuette of a Snake"
2065 IF rv > 55 THEN j$ = " Statuette of a Dragon"
2066 IF rv > 56 THEN j$ = " Statuette of a Man"
2067 IF rv > 58 THEN j$ = " Statuette of a Woman"
2068 IF rv > 60 THEN j$ = " Statuette of a Griffon"
2069 IF rv > 61 THEN j$ = " Statuette of a Chimera"
2070 IF rv > 62 THEN j$ = " Statuette of a Hippogriff"
2071 IF rv > 63 THEN j$ = " Statuette of a Manticore"
2072 IF rv > 64 THEN j$ = " Statuette of a Minotaur"
2073 IF rv > 65 THEN j$ = " Statuette of an Androsphinx"
2074 IF rv > 66 THEN j$ = " Statuette of a Pegasus"
2075 IF rv > 67 THEN j$ = " Statuette of a Man and a Woman"
2076 IF rv > 50 THEN j$ = " Statuette of any random creature or object"
2100 v$ = " v "
2110 PRINT v; v$; j$; t$; s$
2130 PRINT #1, v; v$; j$; t$; s$
2140 NEXT x
3000 CLOSE 1: END
10000 rv = INT(RND(1) * dv) + 1
10010 RETURN

